
[regist]

; name 要素
project.regist.elements.name.type = "text"
project.regist.elements.name.options.validators.strlen.validator = "StringLength"
project.regist.elements.name.options.validators.strlen.options.min = "1"
project.regist.elements.name.options.validators.strlen.options.max = "256"
project.regist.elements.name.options.required = true

; description 要素
project.regist.elements.description.type = "text"
project.regist.elements.description.options.validators.strlen.validator = "StringLength"
project.regist.elements.description.options.validators.strlen.options.min = "1"
project.regist.elements.description.options.validators.strlen.options.max = "2048"
project.regist.elements.description.options.required = true

; start_date 要素
project.regist.elements.start_date.type = "text"
project.regist.elements.start_date.options.required = true

; end_date 要素
project.regist.elements.end_date.type = "text"
project.regist.elements.end_date.options.required = true

; id 要素
project.regist.elements.id.type = "text"
project.regist.elements.id.options.required = true
project.regist.elements.id.options.validators.strlen.validator = "int"

[editconfirm : regist]

[complete : regist]


